Qt 5.9 | Qt 3D | C++ Classes | QChannelMapping

Qt 5.9.9 Reference Documentation

# QChannelMapping Class

(Qt3DAnimation::QChannelMapping)

Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- channelName : QString
- property : QString
- target : Qt3DCore::QNode *

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QChannelMapping(Qt3DCore::QNode *parent = nullptr)
| ~QChannelMapping()
QString | channelName() const
QString | property() const
Qt3DCore::QNode * | target() const

- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setChannelName(const QString &channelName)
void | setProperty(const QString &property)
void | setTarget(Qt3DCore::QNode *target)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | channelNameChanged(QString channelName)
void | propertyChanged(QString property)
void | targetChanged(Qt3DCore::QNode *target)

- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QChannelMapping(QChannelMappingPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Property Documentation

### channelName : QString

Access functions:

QString | channelName() const
void | setChannelName(const QString &channelName)

Notifier signal:

void | channelNameChanged(QString channelName)

### property : QString

Access functions:

QString | property() const
void | setProperty(const QString &property)

Notifier signal:

void | propertyChanged(QString property)

### target : Qt3DCore::QNode *

Access functions:

Qt3DCore::QNode * | target() const
void | setTarget(Qt3DCore::QNode *target)

Notifier signal:

void | targetChanged(Qt3DCore::QNode *target)

## Member Function Documentation

### QChannelMapping::QChannelMapping(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QChannelMapping.

### `[protected]` QChannelMapping::QChannelMapping(QChannelMappingPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### QChannelMapping::~QChannelMapping()

Destroys the instance of QChannelMapping.